> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a schedule



## OpenAPI

````yaml /api-reference/4.2/service-scheduler.json put /scheduler/schedules/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service scheduler
servers:
  - url: /api/apollo/
security: []
tags:
  - name: scheduler
paths:
  /scheduler/schedules/{id}:
    put:
      tags:
        - 4.2 Scheduler API
      summary: Update a schedule
      operationId: updateSchedule
      parameters:
        - name: id
          in: path
          description: The schedule ID
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/Schedule'
      responses:
        default:
          description: successful operation
components:
  requestBodies:
    Schedule:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Schedule'
      description: JSON-formatted schedule configuration values
  schemas:
    Schedule:
      type: object
      properties:
        id:
          type: string
        creatorType:
          type: string
        creatorId:
          type: string
        createTime:
          type: string
          format: date-time
        startTime:
          type: string
          format: date-time
        endTime:
          type: string
          format: date-time
        repeatUnit:
          type: string
          enum:
            - MILLISECOND
            - SECOND
            - MINUTE
            - HOUR
            - DAY
            - WEEK
            - MONTH
        interval:
          type: integer
          format: int32
        active:
          type: boolean
          default: false
        callParams:
          $ref: '#/components/schemas/CallParams'
    CallParams:
      type: object
      properties:
        uri:
          type: string
        method:
          type: string
          enum:
            - GET
            - PUT
            - POST
            - DELETE
        queryParams:
          type: object
          additionalProperties:
            type: string
        headers:
          type: object
          additionalProperties:
            type: string
        entity:
          type: object

````